AttributeTypeAndValue (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Class AttributeTypeAndValue

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.AttributeTypeAndValue

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class AttributeTypeAndValue
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeTypeAndValue(ASN1ObjectIdentifier type, ASN1Encodable value)`
    `AttributeTypeAndValue(java.lang.String oid, ASN1Encodable value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeTypeAndValue` | `getInstance(java.lang.Object o)`
    `ASN1ObjectIdentifier` | `getType()`
    `ASN1Encodable` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` AttributeTypeAndValue ::= SEQUENCE { type OBJECT IDENTIFIER, value ANY DEFINED BY type }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeTypeAndValue

          public AttributeTypeAndValue(java.lang.String oid,
                                       ASN1Encodable value)

    - #### AttributeTypeAndValue

          public AttributeTypeAndValue(ASN1ObjectIdentifier type,
                                       ASN1Encodable value)

  - ### Method Detail

    - #### getInstance

          public static AttributeTypeAndValue getInstance(java.lang.Object o)

    - #### getType

          public ASN1ObjectIdentifier getType()

    - #### getValue

          public ASN1Encodable getValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           AttributeTypeAndValue ::= SEQUENCE {
                     type         OBJECT IDENTIFIER,
                     value        ANY DEFINED BY type }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.